Bug 28465 - Просьба обновить до vzctl-4.0, который умеет работать с ванильными ядрами 3.x
: Просьба обновить до vzctl-4.0, который умеет работать с ванильными ядрами 3.x
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/vzctl)
: unstable
: all Linux
: P3 normal
Assigned To:
:
: http://wiki.openvz.org/Vzctl_for_upst...
:
: 28480
:
  Show dependency tree
 
Reported: 2013-01-25 15:55 by
Modified: 2013-02-01 11:01 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2013-01-25 15:55:46
«Since version 4.0, vzctl tool can be used with upstream (non-OpenVZ) Linux
kernels (that essentially means any recent 3.x kernel). At the moment, it
provides just basic functionality. It is currently possible to create and start
a container with the same steps as one would use for a normal OpenVZ
container.»
------- Comment #1 From 2013-02-01 11:01:14 -------
Обновил.
Но до нормальной работы с ванильными ядрами очень далеко.

Нет специфических модулей сети и др. vzlist не работает, инфраструктуры
/proc/vz нет, т.е. получить список VE нельзя. И следовательно сервис vz дергать
нет смысла, т.к. он сильно завязан на все это.

Можно пользовать vzctl так как описано в
http://openvz.org/Vzctl_for_upstream_kernel